## gobject-introspection 1.82.0

=== debian/changelog ===
gobject-introspection (1.82.0-2) unstable; urgency=medium

  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Sat, 21 Sep 2024 12:58:21 +0100

gobject-introspection (1.82.0-1) experimental; urgency=medium

  [ Simon McVittie ]
  * New upstream release
  * d/control: Bump GLib dependency to 2.82.0 as per meson.build
  * d/control: Add Breaks on older libglib-object-introspection-perl
    (avoids: #1081701)
  * d/control, d/rules, d/*-g-ir-tool.in:
    Use cross-exe-wrapper instead of running qemu directly.
    This avoids needing to hard-code knowledge of how to run qemu-user.
    Because cross-exe-wrapper:i386 has the appropriate special case for
    an amd64 native architecture, this also avoids needing to install
    qemu-user when cross-compiling i386 packages on amd64
    (similar to #1070773).
  * Merge packaging from unstable
    - d/p/giscanner-remove-dependency-on-distutils.msvccompiler.patch:
      Drop patch, included in 1.81.4-1
    - d/gbp.conf: Revert changes
  * d/control: Fix a typo in gobject-introspection Description

  [ Niels Thykier ]
  * dh_girepository: Use Dh_Lib.pm's dpkg_architecture_value instead of
    calling an external dpkg-architecture command

 -- Simon McVittie <smcv@debian.org>  Sat, 14 Sep 2024 17:51:40 +0100

gobject-introspection (1.81.4-1) experimental; urgency=medium

  * New upstream prerelease
  * d/copyright: Update
  * d/p/giscanner-Be-more-thorough-about-applying-Wl-no-as-needed.patch:
    Drop patch, applied upstream
  * d/p/meson-Only-generate-typelib-and-install-win32-files-on-wi.patch:
    Refresh patch
  * Standards-Version: 4.7.0 (no changes required)
  * Update Lintian overrides

 -- Simon McVittie <smcv@debian.org>  Fri, 06 Sep 2024 11:50:22 +0100

gobject-introspection (1.80.1-4) unstable; urgency=high

  * d/gbp.conf: Branch for testing/unstable.
    We have 1.81.x in experimental, but it isn't clear whether there is
    going to be a 1.82.0 for GNOME 47.
  * d/p/giscanner-remove-dependency-on-distutils.msvccompiler.patch:
    Backport patch from 1.81.2 to fix regression with setuptools 74.x
  * Set high urgency because this is breaking the build of dependent
    packages

 -- Simon McVittie <smcv@debian.org>  Tue, 10 Sep 2024 11:29:30 +0100

gobject-introspection (1.80.1-3) unstable; urgency=medium

  * d/p/giscanner-Be-more-thorough-about-applying-Wl-no-as-needed.patch:
    Add proposed patch to apply -Wl,--no-as-needed more thoroughly.
    This avoids build regressions in libkkc and ibus-anthy, which pass
    libraries to `g-ir-scanner --library` that do not contain any functions
    directly called by the dumper.
    (Closes: #1060951, #1060953) (Mitigates: #1071116)

 -- Simon McVittie <smcv@debian.org>  Tue, 14 May 2024 18:42:37 +0100

gobject-introspection (1.80.1-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 04 May 2024 12:39:14 -0400
