=== debian/control ===
--- 
+++ 
@@ -23,21 +23,20 @@
                libffi-dev (>= 3.4),
                libglib2.0-dev (>= 2.82.0),
                libpython3-dev,
-               libtool,
-               meson (>= 0.60.0),
+               meson (>= 1.4.0),
                pkgconf,
                python3-debian:native,
                python3-dev:any,
                python3-docutils <!nodoc>,
                python3-mako:native,
-               python3-markdown:native,
+               python3-markdown (>= 3.7-2~) | python3-markdown:native,
                python3-setuptools,
                python3:native,
                cross-exe-wrapper <cross>,
 Build-Depends-Indep: gtk-doc-tools,
                      libglib2.0-doc (>= 2.82.0),
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gobject-introspection
 Vcs-Git: https://salsa.debian.org/gnome-team/gobject-introspection.git
 Homepage: https://wiki.gnome.org/GObjectIntrospection
