=== debian/rules ===
--- 
+++ 
@@ -81,11 +81,11 @@
 debian/deb-elf-get-needed:
 	$(DEB_HOST_GNU_TYPE)-gcc $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o$@ debian/elf-get-needed.c -lelf
 
-ifneq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
 execute_before_dh_auto_build: debian/deb-elf-get-needed-for-build
 debian/deb-elf-get-needed-for-build:
-	$(DEB_BUILD_GNU_TYPE)-gcc -o$@ debian/elf-get-needed.c -lelf
-endif
+	$(DEB_BUILD_GNU_TYPE)-gcc \
+		$(CPPFLAGS_FOR_BUILD) $(CFLAGS_FOR_BUILD) $(LDFLAGS_FOR_BUILD) \
+		-o$@ debian/elf-get-needed.c -lelf
 
 execute_before_dh_auto_configure: debian/$(DEB_HOST_GNU_TYPE)-gobject-introspection.ini
 debian/$(DEB_HOST_GNU_TYPE)-gobject-introspection.ini: debian/meson-cross-g-i.ini.in debian/rules
@@ -157,6 +157,7 @@
 
 ifneq ($(filter gir1.2-%,$(built_binaries)),)
 execute_after_dh_shlibdeps:
+	@echo 'blhc: ignore-line-regexp: .*\s-o\s+debian/\S+/girepository-1\.0/.*\.typelib\.so\s.*'
 	perl -w debian/dh_girepository -v -Nlibgirepository1.0-dev
 endif
