=== docs/website/requirements.txt ===
sphinx>=5.0,<8.0
sphinx-rtd-theme>=1.2,<2.0
