=== debian/changelog ===
gobject-introspection (1.86.0-6) unstable; urgency=medium

  * d/control: Build-depend on perl:native.
    This fixes cross-building: for pod2man, we want the build
    architecture's perl, not the host architecture's.
  * Fix a typo in the 1.86.0-3 changelog entry: Debian 14 is forky,
    not trixie. Thanks to Amr Ibrahim
  * d/libgirepository1.0-dev.README.Debian: Mention deb-gir-tool(1)
  * d/libgirepository1.0-dev.README.Debian: Clarify relevant distro
    releases
  * d/libgirepository1.0-dev.README.Debian: GStreamer now uses
    /usr/lib/${DEB_HOST_MULTIARCH}/gir-1.0, too

 -- Simon McVittie <smcv@debian.org>  Fri, 03 Oct 2025 10:26:02 +0100

gobject-introspection (1.86.0-5) unstable; urgency=medium

  * deb-gir-tool: Fix refcounting of GOptionGroup

 -- Simon McVittie <smcv@debian.org>  Sat, 27 Sep 2025 23:59:48 +0100

gobject-introspection (1.86.0-4) unstable; urgency=medium

  * deb-gir-tool(1): Fix comment syntax
  * deb-gir-tool(1): Indent examples consistently
  * deb-gir-tool(1): Fix syntax of example involving dpkg-architecture

 -- Simon McVittie <smcv@debian.org>  Sat, 27 Sep 2025 23:45:31 +0100

gobject-introspection (1.86.0-3) unstable; urgency=medium

  * Add deb-gir-tool(1) to gobject-introspection.
    This utility helps to work with other packages' GIR XML by locating
    the actual files that implement a particular module.
    In particular, it can be used by packages like rust-gtk4 during build.
  * d/libgirepository-1.0-1.symbols.in: Update Build-Depends-Package.
    Set Build-Depends-Package to libgirepository-1.0-dev,
    and Build-Depends-Packages to that + libgirepository1.0-dev.
  * d/libgirepository1.0-dev.README.Debian: Add advice on porting away.
    libgirepository1.0-dev is not multiarch-friendly, and cannot be made
    multiarch-friendly without breaking backward compatibility, so we
    aim to phase it out during the Debian 14 (forky) development cycle.
  * d/control: Describe libgirepository1.0-dev as deprecated
  * d/tests/control: Update dependencies
  * d/.gitignore: Update

 -- Simon McVittie <smcv@debian.org>  Sat, 27 Sep 2025 21:28:30 +0100

gobject-introspection (1.86.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 18 Sep 2025 14:55:11 -0400

gobject-introspection (1.86.0-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release

  [ Simon McVittie ]
  * d/cross-g-ir-tool.in: Don't rely on sysconfig.
    During cross-compilation of some packages it is necessary to set
    the environment variable _PYTHON_SYSCONFIGDATA_NAME, which alters
    sysconfig to describe the host rather than build architecture,
    meaning that it no longer has facts about the current interpreter.
    (Closes: #1105149)
  * Improve documentation in README.Debian:
    - Simplify recommended gobject-introspection dependency to 1.80.
      The previous recommendation was new in Debian 13 and Ubuntu 24.04,
      but 1.80 is available in both of those releases too, so we can
      recommend something shorter and easier to remember without losing
      portability.
    - Suggest a less intrusive workaround for #1060838/#1111001
    - #1060907 in haskell-haskell-gi was fixed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 13 Sep 2025 08:39:09 -0400
