=== debian/control ===
--- 
+++ 
@@ -10,20 +10,25 @@
            Michael Biebl <biebl@debian.org>,
            Tim Lunn <tim@feathertop.org>,
            Simon McVittie <smcv@debian.org>,
+# B-D on gir1.2-*-dev if !nocheck (for deb-gir-tool.t) || !nogir (for g-ir-scanner)
 # B-D on gobject-introspection if cross && !nogir
+# B-D on perl if !nocheck (for prove) || !nodoc (for pod2man)
 Build-Depends: bison,
                debhelper-compat (= 13),
                dh-sequence-python3,
                flex,
-               gir1.2-glib-2.0-dev (>= 2.82.0) <!nogir>,
+               gir1.2-glib-2.0-dev (>= 2.82.0) <!nocheck> <!nogir>,
                gobject-introspection (>= 1.78.1-17~) <cross !nogir>,
                libcairo2-dev,
                libelf-dev,
                libelf-dev:native,
                libffi-dev (>= 3.4),
                libglib2.0-dev (>= 2.82.0),
+               libipc-run3-perl <!nocheck>,
                libpython3-dev,
+               libstring-shellquote-perl <!nocheck>,
                meson (>= 1.4.0),
+               perl:native <!nocheck> <!nodoc>,
                pkgconf,
                python3-debian:native,
                python3-dev:any,
@@ -68,7 +73,7 @@
 
 Package: libgirepository1.0-dev
 Build-Profiles: <!nogir>
-Section: libdevel
+Section: oldlibs
 Architecture: any
 Depends: gir1.2-freedesktop (= ${binary:Version}),
          gir1.2-freedesktop-dev (= ${binary:Version}),
@@ -84,21 +89,21 @@
          ${misc:Depends},
          ${shlibs:Depends},
 Suggests: libgirepository1.0-doc,
-Description: Library for handling GObject introspection data (complete development files)
- GObject Introspection is a project for providing machine readable
- introspection data of the API of C libraries. This introspection
- data can be used in several different use cases, for example
- automatic code generation for bindings, API verification and documentation
- generation.
- .
- This metapackage depends on everything needed to use GObject-Introspection.
- It also provides GLib-2.0.gir at its traditional location in /usr/share,
- for compatibility with older code-generation tools which do not read GIR XML
- from /usr/lib/${local:DEB-HOST-MULTIARCH}/gir-1.0.
- .
- Please consider build-depending on gobject-introspection and the appropriate
- gir1.2-*-dev packages in preference to this package, to allow for
- cross-compilation.
+Description: Library for handling GObject introspection data (backwards compatibility)
+ GObject Introspection is a project for providing machine readable
+ introspection data of the API of C libraries. This introspection
+ data can be used in several different use cases, for example
+ automatic code generation for bindings, API verification and documentation
+ generation.
+ .
+ This package depends on everything needed to use GObject-Introspection,
+ and provides GLib-2.0.gir at its traditional location in /usr/share,
+ for compatibility with older code-generation tools which do not read
+ GIR XML from /usr/lib/${local:DEB-HOST-MULTIARCH}/gir-1.0.
+ .
+ This package is deprecated. Please see its README.Debian file for advice
+ on how to migrate away from it to gobject-introspection, gir1.2-*-dev
+ and/or libgirepository-1.0-dev.
 
 Package: libgirepository-1.0-dev
 Section: libdevel
@@ -282,15 +287,3 @@
  This package contains small pieces of introspection data for the Cairo,
  FontConfig, FreeType, GL, and some XOrg libraries, in the typelib format
  used to generate bindings for dynamic languages like JavaScript and Python.
- They are far from complete and only include what is necessary for other
- introspection packages to work properly.
-
-Package: gir1.2-freedesktop-dev
-Build-Profiles: <!nogir>
-Architecture: any
-Multi-Arch: same
-Section: libdevel
-Depends: gir1.2-freedesktop (= ${binary:Version}),
-         ${gir:Depends},
-         ${misc:Depends},
-Provides: ${gir:Provides},
