=== debian/rules ===
--- 
+++ 
@@ -6,20 +6,25 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1
 export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
+PKG_CONFIG ?= $(DEB_HOST_GNU_TYPE)-pkgconf
 
 export GIR_SONAME = 1
 export GIR_API_VERSION = 1.0
 export GIR_FORMAT = 1.2
 
-POD_MANPAGES := debian/dh_girepository.1
-$(POD_MANPAGES): %.1: %
+PERL_MANPAGES := debian/dh_girepository.1
+$(PERL_MANPAGES): %.1: %
+	pod2man -c "gobject-introspection" -r "$(DEB_VERSION)" $< $@
+
+POD_MANPAGES := debian/deb-gir-tool.1
+$(POD_MANPAGES): %.1: %.pod
 	pod2man -c "gobject-introspection" -r "$(DEB_VERSION)" $< $@
 
 RST_MANPAGES := debian/g-ir-inspect.1
 $(RST_MANPAGES): %.1: %.rst
 	rst2man $< $@
 
-MANPAGES := $(POD_MANPAGES) $(RST_MANPAGES)
+MANPAGES := $(PERL_MANPAGES) $(POD_MANPAGES) $(RST_MANPAGES)
 
 %:
 	dh $@ --builddir=_build
@@ -76,6 +81,14 @@
 debian/cross-tools/deb-can-run-$(DEB_HOST_ARCH):
 	mkdir -p debian/cross-tools
 	$(DEB_HOST_GNU_TYPE)-gcc $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o$@ debian/can-run.c
+
+execute_before_dh_auto_build: debian/deb-gir-tool
+debian/deb-gir-tool: debian/deb-gir-tool.c debian/rules
+	$(DEB_HOST_GNU_TYPE)-gcc $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) \
+		-o$@ $< \
+		-Wall -fno-strict-aliasing \
+		-DDEB_HOST_MULTIARCH='"$(DEB_HOST_MULTIARCH)"' \
+		$$(${PKG_CONFIG} --cflags --libs glib-2.0 gio-2.0)
 
 execute_before_dh_auto_build: debian/deb-elf-get-needed
 debian/deb-elf-get-needed:
@@ -147,6 +160,11 @@
 		mv debian/cross-tool.tmp debian/cross-tools/$(DEB_HOST_GNU_TYPE)-$$tool; \
 	done
 
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+execute_before_dh_auto_test:
+	PATH=$(CURDIR)/debian:$$PATH prove -v debian/tests/deb-gir-tool.t
+endif
+
 execute_after_dh_auto_install:
 	sed -i \
 		-e 's|^girdir=\(.*\)|girdir=$${datadir}/gir-1.0|' \
